Loading...
Searching...
No Matches
RDKit::FMCS::MaximumCommonSubgraph Class Reference

`#include <MaximumCommonSubgraph.h>`

## Public Member Functions

| MaximumCommonSubgraph (const MCSParameters *params)
| ~MaximumCommonSubgraph ()
MCSResult | find (const std::vector< ROMOL_SPTR > &mols)
const ROMol & | getQueryMolecule () const
unsigned int | getMaxNumberBonds () const
unsigned int | getMaxNumberAtoms () const
bool | checkIfMatchAndAppend (Seed &seed)
bool | match (Seed &seed)
const MCSParameters & | parameters () const
MCSParameters & | parameters ()

## Public Attributes

ExecStatistics | VerboseStatistics

## Detailed Description

Definition at line 38 of file MaximumCommonSubgraph.h.

## Constructor & Destructor Documentation

## MaximumCommonSubgraph()

RDKit::FMCS::MaximumCommonSubgraph::MaximumCommonSubgraph | ( | const MCSParameters * | params | ) |

## ~MaximumCommonSubgraph()

RDKit::FMCS::MaximumCommonSubgraph::~MaximumCommonSubgraph | ( |  | ) |

inline

Definition at line 79 of file MaximumCommonSubgraph.h.

## Member Function Documentation

## checkIfMatchAndAppend()

bool RDKit::FMCS::MaximumCommonSubgraph::checkIfMatchAndAppend | ( | Seed & | seed | ) |

## find()

MCSResult RDKit::FMCS::MaximumCommonSubgraph::find | ( | const std::vector< ROMOL_SPTR > & | mols | ) |

## getMaxNumberAtoms()

unsigned int RDKit::FMCS::MaximumCommonSubgraph::getMaxNumberAtoms | ( |  | ) | const

inline

Definition at line 84 of file MaximumCommonSubgraph.h.

## getMaxNumberBonds()

unsigned int RDKit::FMCS::MaximumCommonSubgraph::getMaxNumberBonds | ( |  | ) | const

inline

Definition at line 82 of file MaximumCommonSubgraph.h.

## getQueryMolecule()

const ROMol & RDKit::FMCS::MaximumCommonSubgraph::getQueryMolecule | ( |  | ) | const

inline

Definition at line 81 of file MaximumCommonSubgraph.h.

## match()

bool RDKit::FMCS::MaximumCommonSubgraph::match | ( | Seed & | seed | ) |

## parameters() [1/2]

MCSParameters & RDKit::FMCS::MaximumCommonSubgraph::parameters | ( |  | ) |

inline

Definition at line 88 of file MaximumCommonSubgraph.h.

## parameters() [2/2]

const MCSParameters & RDKit::FMCS::MaximumCommonSubgraph::parameters | ( |  | ) | const

inline

Definition at line 87 of file MaximumCommonSubgraph.h.

## Member Data Documentation

## VerboseStatistics

ExecStatistics RDKit::FMCS::MaximumCommonSubgraph::VerboseStatistics

Definition at line 75 of file MaximumCommonSubgraph.h.

The documentation for this class was generated from the following file:

- MaximumCommonSubgraph.h